/**
 * @flow
 * @relayHash 3b4de30bda537a1de7a0c2eae6adc194
 */

/* eslint-disable */

'use strict';

/*::
import type {ConcreteBatch} from 'relay-runtime';
export type DictionaryQueryResponse = {|
  +dictionary: ?$ReadOnlyArray<?{| |}>;
|};
*/


/*
query DictionaryQuery {
  dictionary {
    ...DictionaryComponent_word
  }
}

fragment DictionaryComponent_word on Word {
  id
  definition {
    ...DictionaryComponent_definition
  }
}

fragment DictionaryComponent_definition on WordDefinition {
  text
  image
}
*/

const batch /*: ConcreteBatch*/ = {
  "fragment": {
    "argumentDefinitions": [],
    "kind": "Fragment",
    "metadata": null,
    "name": "DictionaryQuery",
    "selections": [
      {
        "kind": "LinkedField",
        "alias": null,
        "args": null,
        "concreteType": "Word",
        "name": "dictionary",
        "plural": true,
        "selections": [
          {
            "kind": "FragmentSpread",
            "name": "DictionaryComponent_word",
            "args": null
          }
        ],
        "storageKey": null
      }
    ],
    "type": "Root"
  },
  "id": null,
  "kind": "Batch",
  "metadata": {},
  "name": "DictionaryQuery",
  "query": {
    "argumentDefinitions": [],
    "kind": "Root",
    "name": "DictionaryQuery",
    "operation": "query",
    "selections": [
      {
        "kind": "LinkedField",
        "alias": null,
        "args": null,
        "concreteType": "Word",
        "name": "dictionary",
        "plural": true,
        "selections": [
          {
            "kind": "InlineFragment",
            "type": "Word",
            "selections": [
              {
                "kind": "ScalarField",
                "alias": null,
                "args": null,
                "name": "id",
                "storageKey": null
              },
              {
                "kind": "LinkedField",
                "alias": null,
                "args": null,
                "concreteType": "WordDefinition",
                "name": "definition",
                "plural": false,
                "selections": [
                  {
                    "kind": "ScalarField",
                    "alias": null,
                    "args": null,
                    "name": "text",
                    "storageKey": null
                  },
                  {
                    "kind": "ScalarField",
                    "alias": null,
                    "args": null,
                    "name": "image",
                    "storageKey": null
                  }
                ],
                "storageKey": null
              }
            ]
          }
        ],
        "storageKey": null
      }
    ]
  },
  "text": "query DictionaryQuery {\n  dictionary {\n    ...DictionaryComponent_word\n  }\n}\n\nfragment DictionaryComponent_word on Word {\n  id\n  definition {\n    ...DictionaryComponent_definition\n  }\n}\n\nfragment DictionaryComponent_definition on WordDefinition {\n  text\n  image\n}\n"
};

module.exports = batch;
